
Foreman - Bug #129

Link from hostname on the hosts page is absolute instead of relative (breaking https)

12/11/2009 11:46 PM - Karl Pietri

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.1-3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have an apache https site that is doing a local proxy to foreman running on localhost only (so we can do auth + ssl easily)  turns out

the link from the hostname doesn't get the https cause its absolute instead of relative.

http://wrenchies.net/~karl/Automator/ScreenShots/20091211153918.png

(left link is http:// right one (and rest on page) are https://)

    <td class="name-column  sorted" >

      <img alt="Linux" height="18" src="/images/hosts/Linux.jpg?1257349654" title="Linux" width="1

8" /><a href="http://mysite.com/hosts/26/edit">hostname</a>

    </td>

    <td class="operatingsystem-column " >

      <a href="/operatingsystems/1/edit?_method=get&amp;parent_controller=hosts" class="edit actio

n operatingsystem" id="as_hosts-operatingsystems-edit-1-link" position="after">Debian 8.04</a>

    </td>@

Associated revisions

Revision 935cc758 - 12/12/2009 12:34 AM - Ohad Levy

fixes #129 - Link from hostname on the hosts page is absolute instead of relative (breaking https)

History

#1 - 12/12/2009 12:33 AM - Ohad Levy

- Target version set to 0.1-3

#2 - 12/12/2009 12:35 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 935cc75821ffbce31e59b039768901c21528f7d8.

#3 - 12/12/2009 02:16 AM - Karl Pietri

did a git pull.  patch works.

#4 - 12/12/2009 02:17 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
